%define enable_bytecode_interpreter 1
%define enable_subpixel_rendering 1
Name:          libfreetype
Version:       2.11.0
Release:       2mamba
Summary:       Free TrueType font rasterizer library
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Group:         System/Libraries
URL:           https://www.freetype.org/
Source:        https://downloads.sourceforge.net/freetype/freetype-%{version}.tar.xz
Patch0:        libfreetype-2.10.4-enable-subpixel-rendering.patch
Patch1:        libfreetype-2.10.4-enable-infinality-subpixel-hinting.patch
Patch2:        libfreetype-2.10.4-enable-long-PCF-family-names.patch
Patch3:        libfreetype-2.10.4-enable-table-validation-modules.patch
Patch4:        libfreetype-2.11.0-sfnt-Add-API-for-retrieving-a-COLR-v1-ClipBox-table.patch
Patch5:        libfreetype-2.11.0-src-sfnt-ttcolr.c-tt_face_get_color_glyph_clipbox-Mi.patch
Patch6:        libfreetype-2.11.0-sfnt-Add-missing-blend-mode-plus-to-COLR-v1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%ifarch x86_64
Obsoletes:     lib32-libfreetype < 2.11.0
%endif
Provides:      freetype = %{?epoch:%epoch:}%{version}-%{release}

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of platforms and environments.
Note that FreeType is a library, not a stand-alone application, though some utility applications are included.

%package devel
Summary:       Header files and static library for development with FreeType2
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package is only needed if you intend to develop or compile applications which rely on the FreeType2 library. If you simply want to run existing applications, you won't need this package.

%package -n lib32-%{name}
Summary:       Free TrueType font rasterizer library (32 bit)
Group:         System/Libraries

%description -n lib32-%{name}
This package is only needed if you intend to develop or compile applications which rely on the FreeType2 library. If you simply want to run existing applications, you won't need this package.


%package -n lib32-%{name}-devel
Summary:       Header files and static library for development with FreeType2 (32 bit)
Group:         Development/Libraries
Requires:      lib32-%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib32-%{name}-devel
This package is only needed if you intend to develop or compile applications which rely on the FreeType2 library. If you simply want to run existing applications, you won't need this package.

%debug_package

%prep
%setup -q -n freetype-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .src-sfnt-ttcolr.c-tt_face_get_color_glyph_clipbox-Mi
%patch6 -p1 -b .sfnt-Add-missing-blend-mode-plus-to-COLR-v1

%build
%configure \
   --enable-freetype-config \
   --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

## needed to compile xpdf 2.x
#install -D src/cff/cfftypes.h \
#   %{buildroot}%{_includedir}/freetype2/internal/cfftypes.h

%ifarch x86_64_disabled
make clean
%configure \
   --libdir=%{_prefix}/lib \
   --with-harfbuzz=no \
   CFLAGS="%{optflags} -m32" \
   LDFLAGS="-L%{_prefix}/lib"
%make
install -d -m0755 %{buildroot}%{_prefix}/lib
cp -a objs/.libs/libfreetype.so* %{buildroot}%{_prefix}/lib/
%endif

ln -s freetype2 %{buildroot}%{_includedir}/freetype

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libfreetype.so.*
%doc docs/GPLv2.TXT

%files devel
%defattr(-,root,root)
%{_bindir}/freetype-config
#%{_includedir}/ft2build.h
%{_includedir}/freetype
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_libdir}/libfreetype.so
%{_libdir}/libfreetype.la
%{_libdir}/pkgconfig/freetype2.pc
%{_datadir}/aclocal/*
%{_mandir}/man1/freetype-config.1*
%doc docs/*
%doc ChangeLog README

%ifarch x86_64_disabled
%files -n lib32-%{name}
%defattr(-,root,root)
%{_prefix}/lib/libfreetype.so.*

%files -n lib32-%{name}-devel
%defattr(-,root,root)
%{_prefix}/lib/libfreetype.so
%endif

%changelog
* Fri Oct 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-2mamba
- backport of FT_ClipBox implementation needed by chromium 94

* Mon Jul 19 2021 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.4-3mamba
- libfreetype: provide freetype for foreign (Fedora) packages compatibility

* Tue Jan 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.4-2mamba
- added patches to enable subpixel rendering, infinality subpixel hinting, long pcf family names, table validation modules

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Sat May 09 2020 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-3mamba
- debug package added

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-2mamba
- x86_64: obsolete lib32-libfreetype

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1mamba
- update to 2.10.1

* Fri Mar 15 2019 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-2mamba
- rebuilt with --enable-freetype-config

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Wed Jul 06 2016 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Tue Feb 09 2016 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Nov 29 2015 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sun Oct 04 2015 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Wed Dec 31 2014 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Sun Dec 07 2014 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic version update by autodist

* Tue Jul 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-2mamba
- add /usr/includefreetype symlink for legacy compatibility

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Thu Nov 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-2mamba
- fix installation of internal/cfftypes.h after headers move from freetype2/freetype to freetype2

* Wed Nov 27 2013 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Tue Aug 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0.1-2mamba
- libpng 1.6 mass rebuild

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 2.5.0.1-1mamba
- automatic version update by autodist

* Thu May 09 2013 Automatic Build System <autodist@mambasoft.it> 2.4.12-1mamba
- automatic version update by autodist

* Thu Dec 20 2012 Automatic Build System <autodist@mambasoft.it> 2.4.11-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Automatic Build System <autodist@mambasoft.it> 2.4.10-1mamba
- automatic version update by autodist

* Fri Mar 09 2012 Automatic Build System <autodist@mambasoft.it> 2.4.9-1mamba
- automatic version update by autodist

* Tue Nov 15 2011 Automatic Build System <autodist@mambasoft.it> 2.4.8-1mamba
- automatic version update by autodist

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 2.4.7-1mamba
- automatic version update by autodist

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic update by autodist

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic update by autodist

* Thu Dec 02 2010 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update to 2.4.4 by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update to 2.4.3 by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update to 2.4.2 by autodist

* Sun Jul 18 2010 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update to 2.4.1 by autodist

* Tue Jul 13 2010 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic update to 2.4.0 by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.3.12-2mamba
- automatic rebuild by autodist

* Tue Feb 16 2010 Automatic Build System <autodist@mambasoft.it> 2.3.12-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 2.3.11-1mamba
- automatic update to 2.3.11 by autodist

* Wed Oct 07 2009 Automatic Build System <autodist@mambasoft.it> 2.3.10-1mamba
- automatic update to 2.3.10 by autodist

* Thu Mar 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.9-1mamba
- automatic update to 2.3.9 by autodist

* Thu Jan 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.8-1mamba
- automatic update to 2.3.8 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.7-2mamba
- enabled subpixel rendering by default

* Sat Jul 05 2008 gil <puntogil@libero.it> 2.3.7-1mamba
- update to 2.3.7

* Thu Jun 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.6-1mamba
- update to 2.3.6

* Tue Jul 03 2007 Aleph0 <aleph0@openmamba.org> 2.3.5-1mamba
- update to 2.3.5

* Tue Apr 10 2007 Aleph0 <aleph0@openmamba.org> 2.3.4-1mamba
- update to version 2.3.4 by autospec

* Thu Apr 05 2007 Aleph0 <aleph0@openmamba.org> 2.3.3-1mamba
- update to version 2.3.3 by autospec
- security fix against CVE-2007-1351

* Sat Mar 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1qilnx
- update to version 2.3.2 by autospec

* Thu Feb 01 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.3.1-1qilnx
- update to version 2.3.1 by autospec
- removed all the patches previously got from CVS
- removed all the security patches against (merged upstream)
- added %%post and %%postun scripts

* Fri Jul 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.10-4qilnx
- security update against CVE-2006-3467 (bugzilla#204)

* Thu Jun 15 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.10-3qilnx
- security update against CVE-2006-[0747,1861,2661]

* Tue Jun 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.10-2qilnx
- stolen some fixes from freetype CVS

* Sun Oct 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.10-1qilnx
- update to version 2.1.10 by autospec

* Thu Dec 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.9-2qilnx
- added cfftypes.h in the devel package

* Thu Jul 15 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.9-1qilnx
- new version build

* Wed May 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.8-1qilnx
- new version rebuild

* Wed Apr 28 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.7-1qilnx
- new version rebuild

* Mon Oct 27 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.5-1qilnx
- new version rebuild

* Mon Jul 14 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.1.4-2qilnx
- activated truetype bytecode interpreter

* Mon May 12 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.1.4-1qilnx
- creation of freetype package
